Description

Supportanfrage

ich möchte in ADTF 2.13.2 oder 2.14.2 eine Playlist abspielen. Die dat-Files haben alle den Pinnamen Flexray allerdings

unterscheidet sich der MediaType dieses Streams bei den dat-Files. Die Playlist stoppt und ADTF spielt keinen neuen dat-File ab,

sobald sich der MediaType beim nächsten dat-File in der Playliste ändert. Gibt es eine Möglichkeit dies zu verhindern?

Hintergrund: Ich möchte eine Reihe von dat-Files abspielen ohne dass ADTF zwischen den dat-Files neu initialisiert.

Lösung

Die dat-Files haben alle den Pinnamen Flexray allerdings unterscheidet sich der MediaType dieses Streams bei den dat-Files.

Die Playlist stoppt und ADTF spielt keinen neuen dat-File ab, sobald sich der MediaType beim nächsten dat-File in der Playliste

ändert. Gibt es eine Möglichkeit dies zu verhindern?

 Das geht so nicht in ADTF 2.x, die Streams im DAT File müssen komplett identisch sein, wenn du eine Playlist verwenden möchtest.

Siehe dazu auch 1.11 DAT Playlist

Hintergrund: Ich möchte eine Reihe von dat-Files abspielen ohne dass ADTF zwischen den dat-Files neu initialisiert.

 Das sieht die Architektur in ADTF 2.x so vor.

Der einzige Workaround der mir einfällt, wäre alle Files gleichzeitig abzuspielen, dazu musst du alle Files in den Player unter

filenames angeben, dann wird das sozusagen zu einem großen File gemerged und simultan anhand der Zeitstempel abgespielt (im

Vgl. zur sequentiellen Playlist). Ob dir das weiterhilft, kann ich nicht beurteilen.

Gibt es in ADTF eine Möglichkeit per Kommandozeile/Skript den Mediatyp eines Pins auszulesen, um darüber die dat-Files

filtern zu können? Beim datexporter.exe habe ich nur eine Möglichkeit gefunden die Pinnamen des dat-Files auszulesen, aber

nicht auch den Mediatyp (MajorType des Pins).

 dafür gab es in ADTF 2.x die Streaming Library, sicherlich macht es gleich Sinn, den kompatiblen Nachfolger aus ADTF 3.x Welt

dafür zu verwenden, nämlich die IFHD / ADTF File Library.

Kommt mit jedem ADTF 3.x Release bzw. auch standalone, geeigneten examples (das fileaccess example zeigt u.a. wie das geht

bzw. liest diese Infos aus) und source code.

Da kann man sich schnell was zusammenbasteln für ein Skript.

History

#1 - 2020-01-20 15:04 - hidden

- Project changed from Public Support to 11

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::Player

- Resolution set to Not Supported Scope

- Customer set to AUDI
- Department set to AST

- Affected Products ADTF 2.13.2, ADTF 2.14.2 added

Hallo Dirk,

Die dat-Files haben alle den Pinnamen Flexray allerdings unterscheidet sich der MediaType dieses Streams bei den dat-Files. Die Playlist stoppt

und ADTF spielt keinen neuen dat-File ab, sobald sich der MediaType beim nächsten dat-File in der Playliste ändert. Gibt es eine Möglichkeit

dies zu verhindern?

 Das geht so nicht in ADTF 2.x, die Streams im DAT File müssen komplett identisch sein, wenn du eine Playlist verwenden möchtest.

Siehe dazu auch 1.11 DAT Playlist

Hintergrund: Ich möchte eine Reihe von dat-Files abspielen ohne dass ADTF zwischen den dat-Files neu initialisiert.

 Das sieht die Architektur in ADTF 2.x so vor.

Der einzige Workaround der mir einfällt, wäre alle Files gleichzeitig abzuspielen, dazu musst du alle Files in den Player unter filenames angeben,

dann wird das sozusagen zu einem großen File gemerged und simultan anhand der Zeitstempel abgespielt (im Vgl. zur sequentiellen Playlist). Ob dir

das weiterhilft, kann ich nicht beurteilen.

#2 - 2020-01-21 12:15 - hidden

Danke für die Antwort. Dann müssen wir versuchen zwei Playlisten zu erstellen je nach Filetyp. Gibt es in ADTF eine Möglichkeit per

Kommandozeile/Skript den Mediatyp eines Pins auszulesen, um darüber die dat-Files filtern zu können? Beim datexporter.exe habe ich nur eine

Möglichkeit gefunden die Pinnamen des dat-Files auszulesen, aber nicht auch den Mediatyp (MajorType des Pins).

Danke.

Viele Grüße

Dirk

#3 - 2020-01-21 13:30 - hidden

Nachtrag: Für die reine Filterung der dat-Files nach Typ käme auch adtf 3.x in Frage. Notfalls würde zudem die Information zum Streamtyp

ausreichen, die unter DAT-File Info zu finden ist, z.B. adtf.core.media_sample, allerdings müsste sich dies automatisiert auslesen lassen.

#4 - 2020-01-23 14:54 - hidden

Hallo Dirk,

dafür gab es in ADTF 2.x die Streaming Library, sicherlich macht es gleich Sinn, den kompatiblen Nachfolger aus ADTF 3.x Welt dafür zu verwenden,

nämlich die IFHD / ADTF File Library.

Kommt mit jedem ADTF 3.x Release bzw. auch standalone, geeigneten examples (das fileaccess example zeigt u.a. wie das geht bzw. liest diese

Infos aus) und source code.

Da kann man sich schnell was zusammenbasteln für ein Skript.

#5 - 2020-01-23 18:00 - hidden

Ok. Danke für die Info ☺. Das schaue ich mir mal. Das Ticket kann geschlossen werden.

#6 - 2020-01-24 10:04 - hidden

- Project changed from 11 to Public Support

- Subject changed from ADTF: Playlist abspielen von Files mit unterschiedlichem MediaType bei einem Stream to Using playlist with different Stream

Types

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

#9 - 2020-07-07 12:49 - hidden

- Status changed from To Be Closed to Closed
